package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface UserBusiness {
	
	void insert_user_ext(Map<String,Object> entity) throws BusinessException ;

    void update_user_ext(Map<String,Object> entity) throws BusinessException ;
    
    void delete_user_ext(List<String> list)throws BusinessException;
    
    void insert_user_account(Map<String,Object> entity) throws BusinessException ;

    void update_user_account(Map<String,Object> entity) throws BusinessException ;
    
    void delete_user_account(List<String> list)throws BusinessException;
    
    void update_batch_user_unit(Map<String,Object> entity) throws BusinessException ;
    
    void insert_user(Map<String,Object> entity) throws BusinessException ;

    void update_user(Map<String,Object> entity) throws BusinessException ;
    
    void delete_user(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_user(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_user(Map<String, Object> query) throws BusinessException ;
    
    int listCount_user(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_name_user(List<String> list) throws BusinessException;
    /**
	 * 通过用户名，获取密码、邮箱、手机号码
	 */
	List<Map<String, Object>> listUserInfo(Map<String, Object> query)
			throws BusinessException;
	
	int list_max_order(Map<String, Object> query) throws BusinessException ;
	
	List<Map<String,Object>> list_uuid_order(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> list_usertree(Map<String, Object> query)
			throws BusinessException;

	int listCount_usertree(Map<String, Object> query) throws BusinessException;
	
	List<Map<String,Object>> list_user_ldap() throws BusinessException;

	String list_user_uuid(String query) throws BusinessException;
	
	Map<String, Object> list_user_ldap_single(String query) throws BusinessException;
	
	int listSsoUser(Map<String, Object> query)throws BusinessException;
	
	List<Map<String, Object>> listUserInfo_userId(Map<String, Object> query)throws BusinessException;
	
	List<Map<String, Object>> listAllUser(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listGroupUser(Map<String, Object> query) throws BusinessException;
	
	int listMoblieCount(Map<String, Object> query) throws BusinessException;
	
	Map<String, Object> listMobileUser (Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listUserReceive(String query) throws BusinessException;
	
	Map<String, Object> listIdNumberUser (Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listUserPush(Map<String, Object> query) throws BusinessException;
	
	//List<Map<String, Object>> list_tables_user_cache(Map<String, Object> query)throws BusinessException;
	
	//void updateCache(Map<String, Object> query)throws BusinessException;
	
	//List<Map<String, Object>> listIdPassWord() throws BusinessException;
}
